#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		onig
#-----------------------------------------------------------------------------
Name		:	oniguruma
Version		:	6.9.4
Release		:	17.0.10.rel%{?dist}
Summary		:	Regular expressions library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/kkos/oniguruma/

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	gcc

#-----------------------------------------------------------------------------
%description
Oniguruma is a regular expressions library.
The characteristics of this library is that different character encoding
for every regular expression object can be specified.
(supported APIs: GNU regex, POSIX and Oniguruma native)

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS HISTORY README.md index.html
%{_libdir}/lib%{sname}.so.5*

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc doc/API
%doc doc/CALLOUTS.API
%doc doc/CALLOUTS.BUILTIN
%doc doc/FAQ
%doc doc/RE
%doc doc/SYNTAX.md
%doc doc/UNICODE_PROPERTIES
%{_bindir}/%{sname}-config
%{_libdir}/lib%{sname}.so
%{_includedir}/%{sname}*.h
%{_libdir}/pkgconfig/%{name}.pc	

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

autoconf -i -f
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--bindir=%{_bindir}				\
	--libdir=%{_libdir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR="%{buildroot}" install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#=============================================================================
%changelog
